/*
    PROGRAM:    mailscan

    FILE:       log.c

    Author:	Hans-Georg Franke (hansgeorgfranke@yahoo.de)

    This file is part of OpenMailScan.

    OpenMailScan is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OpenMailScan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with MailScan (see license.txt); if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */
    
#if defined(LINUX)
extern "C" {
#endif

#include <global.h>
#include <addin.h>

#include "log.h"

//global Varaiables
int DebugLevel = 0;

void LogMessageText(char * Message, STATUS stat){	
	//Meldung wird immer gedruckt
	LogMessageTextSeverity(Message, stat, 0);
}

void LogMessageTextSeverity(char * Message, STATUS stat, int sev){	
	if (sev <= DebugLevel) 
	{
		AddInLogMessageText(Message, stat);
	}
}
#if defined(LINUX)
}
#endif
